BaseNCodecInputStream.AbstracBuilder (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.binary, class: BaseNCodecInputStream, class: AbstracBuilder

Package org.apache.commons.codec.binary

# Class BaseNCodecInputStream.AbstracBuilder<T,C extends BaseNCodec,B extends AbstractBaseNCodecStreamBuilder<T,C,B>>

java.lang.Object
org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder<T,C,B>
org.apache.commons.codec.binary.BaseNCodecInputStream.AbstracBuilder<T,C,B>

Type Parameters:
  `T` - The input stream type to build.
  `C` - A `BaseNCodec` subclass.
  `B` - The builder subclass.

All Implemented Interfaces:
  `Supplier<T>`

Direct Known Subclasses:
  `Base16InputStream.Builder`, `Base32InputStream.Builder`, `Base58InputStream.Builder`, `Base64InputStream.Builder`

Enclosing class:
  `BaseNCodecInputStream<C extends BaseNCodec,T extends BaseNCodecInputStream<C,T,B>,B extends BaseNCodecInputStream.AbstracBuilder<T,C,B>>`

public abstract static class BaseNCodecInputStream.AbstracBuilder<T,C extends BaseNCodec,B extends AbstractBaseNCodecStreamBuilder<T,C,B>> extends AbstractBaseNCodecStreamBuilder<T,C,B>
Builds input stream instances in `BaseNCodec` format.

Since:
  1.20.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstracBuilder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected InputStream`
  `getInputStream()`
  Gets the input stream.
  `B`
  `setByteArray(byte[] inputBytes)`
  Sets the input bytes.
  `B`
  `setInputStream(InputStream inputStream)`
  Sets the input stream.

  ### Methods inherited from class org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder

  `getBaseNCodec, getEncode, newBaseNCodec, setBaseNCodec, setEncode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Supplier

  `get`

- ## Constructor Details

  - ### AbstracBuilder

    public AbstracBuilder()
    Constructs a new instance.

- ## Method Details

  - ### getInputStream

    protected InputStream getInputStream()
    Gets the input stream.
    Returns:
      The input stream.

  - ### setByteArray

    public B setByteArray(byte[] inputBytes)
    Sets the input bytes.
    Parameters:
      `inputBytes` - The input bytes.
    Returns:
      `this` instance.
    Since:
      1.22.0

  - ### setInputStream

    public B setInputStream(InputStream inputStream)
    Sets the input stream.
    Parameters:
      `inputStream` - The input stream.
    Returns:
      `this` instance.